%global momorel 1
%global majorver 2.4
%global md5sum_src0 4476c423b8f74266136964e42ea88028

Name:		cmake
Summary:	Cross-platform make system
Version:	2.4.7
Release: %{momorel}m%{?dist}
Group:		Development/Tools
License:	BSD
URL:		http://www.cmake.org/
%NoSource 0	http://www.cmake.org/files/v%{majorver}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
CMake is used to control the software compilation process using simple 
platform and compiler independent configuration files. CMake generates 
native makefiles and workspaces that can be used in the compiler 
environment of your choice. CMake is quite sophisticated: it is possible 
to support complex environments requiring system configuration, pre-processor 
generation, code generation, and template instantiation.

%prep
%setup -q
%if "%{_lib}" != "lib"
perl -pi -e 's#usr/lib#usr/lib64#' `find -type f`
%endif

%build
./configure --prefix=%{_prefix} --mandir=/share/man 
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
# the same as Docs
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog.txt Copyright.txt CMakeLogo.gif
%doc DartConfig.cmake DartConfiguration.tcl DartTestfile.txt 
%doc Docs/ccmake.* Docs/cmake.* Docs/ctest.*
%doc Example
%{_datadir}/cmake-%{majorver}
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat Jul 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.7-1m)
- update to 2.4.7

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.6-1m)
- update to 2.4.6

* Sat Dec 09 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.5-1m)
- update to 2.4.5

* Wed Oct 18 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.3-1m)
- first import to Momonga

* Sat Oct 07 2006 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (2.4.3-0.0.1m)
- update to latest 2.4.3

* Fri Apr 21 2006 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (2.4.0-0.0.1m)
- update to latest 2.4.0

* Sat Sep 18 2004 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (2.0.3-0.0.1m)
- version 2.0.3

* Sun Aug 25 2002 Masayuki SANO <sbfield_snmsyk at yahoo.co.jp>
- (1.4.3-0.0.1kl)
- build for Asumi

* Thu Aug 22 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to release 1.4 patch 3.

* Mon Aug 05 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Thu Jul 25 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Fri Jul 19 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Wed Jul 17 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Mon Jul 15 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources (version 1.5). 
- removed all the manual installation script in favour of the standard 
  installation procedure.

* Sat Jun 01 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Sun May 05 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Wed Feb 06 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Mon Jan 01 2002 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Sat Dec 22 2001 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Fri Dec 21 2001 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Sat Dec 15 2001 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- update to latest CVS sources.

* Fri Nov 30 2001 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- initial release
